#ifndef __DICTIONARY_H
#define __DICTIONARY_H
#include "drzewo.h"
#include <string>
#include <iostream>
#include <fstream>

class Dictionary
{
	Tree t;
	string getword(istream &i);


public:
	Dictionary() { }

	Dictionary(istream &i)
	{
		Read(i);
	}

	Dictionary(const char *filename);

	void Read(istream &i);

	void Print()
	{
		t.Print();
	}
	
	void Add(string word)
	{
		t.Add(word);
	}
	
	void Add(char* word)
	{
		string s(word);
		t.Add(s);
	}

	~Dictionary(){};
};

#endif
